---
title: Intl.Locale.prototype.region
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/region
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Property
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.Locale.prototype.region</code></strong> property is an accessor property that returns the region of the world (usually a country) associated with the locale.</p>

<h2 id="Description">Description</h2>

<p>The region is an essential part of the locale identifier, as it places the locale in a specific area of the world. Knowing the locale's region is vital to identifying differences between locales. For example, English is spoken in the United Kingdom and the United States of America, but there are differences in spelling and other language conventions between those two countries. Knowing the locale's region helps JavaScript programmers make sure that the content from their sites and applications is correctly displayed when viewed from different areas of the world.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_the_region_in_the_locale_identifer_string_argument">Setting the region in the locale identifer string argument</h3>

<p>The region is the third part of a valid Unicode language identifier string, and can be set by adding it to the locale identifier string that is passed into the {{jsxref("Locale/Locale", "Locale")}} constructor. The region is a mandatory part of a</p>

<pre class="brush: js">let regionStr = new Intl.Locale("en-Latn-US");

console.log(regionStr.region); // Prints "US"</pre>

<h3 id="Setting_the_region_via_the_configuration_object">Setting the region via the configuration object</h3>

<p>The {{jsxref("Locale/Locale", "Locale")}} constructor takes a configuration object, which can be used to set the region subtag and property.</p>

<pre class="brush: js">let regionObj = new Intl.Locale("fr-Latn", {region: "FR"});

console.log(regionObj.region); // Prints "FR"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.Locale.prototype.region')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("javascript.builtins.Intl.Locale.region")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Locale", "Intl.Locale")}}</li>
 <li><a href="https://www.unicode.org/cldr/charts/latest/supplemental/territory_containment_un_m_49.html">Unicode region chart</a></li>
</ul>
